<?php

/**
 * The template for the powered component
 *
 * @link       https://webdeclic.com/
 * @since      1.0.0
 *
 * @package    Cookie_Dough_Consent
 * @subpackage Cookie_Dough_Consent/public/templates/components
 */
?>

<div class="cdc-cookie__popup__steps__step__footer__powered close">

    <div class="cdc-cookie__popup__steps__step__footer__powered__header">
        <div class="cdc-cookie__popup__steps__step__footer__powered__header__bg"></div>
        <?php echo wp_kses( sprintf( '<span>%s %s</span>', _e( 'powered by', COOKIE_DOUGH_CONSENT_TEXT_DOMAIN ), 'webdeclic' ), 'post' ); ?>                 
    </div>

    <div class="cdc-cookie__popup__steps__step__footer__powered__body">
        <div class="cdc-cookie__popup__steps__step__footer__powered__body__bg"></div>
        <?php echo wp_kses( sprintf( __( '%s has chosen %s to protect your privacy and guarantee your confidentiality on this site.', COOKIE_DOUGH_CONSENT_TEXT_DOMAIN ), get_bloginfo('name'), '<a href="https://webdeclic.com/">webdeclic</a>' ), 'post' ); ?>
    </div>

</div>